      INCLUDE 'WINDOWS.FI'
C
C Author       : Kevin B Black
C Date written : 12-Nov-1991
C Abstract     :
C
C ADDITIONAL FUNCTIONS FOR MICROSOFT WINDOWS 3.0 WITH MS FORTRAN
C
C These are functions which aren't actual windows functions, but are
C created by making definitions in the Windows header file for C
C programmers. There is no Fortran equivalent of this, nor can it be
C mimicked using the Interface statement (when additional or different
C arguments are required). For example :
C
C #define LockData(dummy)     LockSegment(0xFFFF)
C
      INTEGER*2 FUNCTION GlobalDiscard(H)
      IMPLICIT NONE
      INTEGER*2 H
      INCLUDE 'WINDOWS.FD'
      GlobalDiscard=GlobalReAlloc(H,0,GMEM_MOVEABLE)
      RETURN
      END
C
      INTEGER*2 FUNCTION LockData()
      IMPLICIT NONE
      INCLUDE 'WINDOWS.FD'
      LockData=LockSegment(#FFFF)
      RETURN
      END
C
      INTEGER*2 FUNCTION UnlockData()
      IMPLICIT NONE
      INCLUDE 'WINDOWS.FD'
      UnlockData=UnlockSegment(#FFFF)
      RETURN
      END
C
      INTEGER*2 FUNCTION LocalDiscard(H)
      IMPLICIT NONE
      INTEGER*2 H
      INCLUDE 'WINDOWS.FD'
      LocalDiscard=LocalReAlloc(H,0,LMEM_MOVEABLE)
      RETURN
      END
